/**
 * Copyright (C) 2012 cogroo <cogroo@cogroo.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.cogroo.entities.tree;

public abstract class TreeElement {
  private String syntacticTag;
  private String morphologicalTag;
  private int level;

  public void setSyntacticTag(String syntacticTag) {
    this.syntacticTag = syntacticTag;
  }

  public String getSyntacticTag() {
    return syntacticTag;
  }

  public void setLevel(int level) {
    this.level = level;
  }

  public int getLevel() {
    return level;
  }

  public void setMorphologicalTag(String morphologicalTag) {
    this.morphologicalTag = morphologicalTag;
  }

  public String getMorphologicalTag() {
    return morphologicalTag;
  }

  public abstract String toSyntaxTree();
}
